<mat-drawer-container *ngIf="loaded" class = "container">
  <mat-drawer mode="side" opened>
    <mat-accordion class="exp-panels" multi="false">
    <div id="navbar" *ngFor = "let cs of accessedCourses" (click)="getOwnedCourse(cs.id)">
      <mat-expansion-panel hideToggle>
        <mat-expansion-panel-header>
            <mat-panel-title>{{cs.name}}</mat-panel-title>
        </mat-expansion-panel-header>
          <div *ngIf="selectedCourse && selectedCourse.lecture_ids && selectedCourse.lecture_ids[0]; else noLectures">
            <mat-list *ngFor = "let it of selectedCourse.lecture_ids.sort(); let i = index">
              <mat-list-item>
                <a mat-flat-button (click)="goToLecture(it);"> Čas {{i+1}} </a>
              </mat-list-item>
              <mat-divider></mat-divider>
            </mat-list>
          </div>
          <!-- ELSE -->
          <ng-template #noLectures>
            <mat-list-item>
              <label style="text-indent: 5%;">Nema časova za kurs</label>
            </mat-list-item>
          </ng-template>

          <mat-action-row *ngIf="isTeacher">
            <button mat-raised-button (click)="goToRequestsPage($event)">Pogledaj Zahteve</button>
          </mat-action-row>
      </mat-expansion-panel>
      <mat-divider></mat-divider>
    </div>
    </mat-accordion>
  </mat-drawer>



<mat-drawer-content>
  <div *ngIf="showRequest; else showPanel">
    <app-requests [courseId]="selectedCourse.id"></app-requests>
  </div>
  <ng-template #showPanel class="course-details">
    <app-panel [selectedCourse]="selectedCourse" [selectedLecture]="selectedLecture" [isTeacher]="isTeacher"></app-panel>
    <mat-divider></mat-divider>
    <div *ngIf="!isTeacher">
      <div *ngIf="hwAssigned.length > 0">
        <h3 class="subtitle assigment">Domaći</h3>
        <div *ngFor="let item of hwAssigned">
          <div class="assigment">
            <p>{{item.assigment}}</p>
            <a [href]="item.answer_url">{{getFilename(item.answer_url)}}</a>
            <app-upload [lecture_id]="selectedLecture.id" [hw]="item"></app-upload>
            <mat-divider></mat-divider>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="isTeacher && selectedLecture">
      <button mat-button (click)="postQuiz()"> Dodaj kviz</button>
      <button mat-button (click)="addHomework()">Dodaj domaci</button>
      <div *ngIf="showCreateQuizForm"><app-quiz [lecture_id]="selectedLecture.id"></app-quiz></div>
      <div *ngIf="showAddHomeworkForm"><app-homework [lecture_id]="selectedLecture.id" [user_ids]="enrolledUserIds"></app-homework></div>
    </div>

  </ng-template>
  </mat-drawer-content>
</mat-drawer-container>

